/*  BotikKey Pro - Botik Key Client for Windows 9x/ME/NT/2000/XP/2003
 *  Copyright (C) 2004 Alexander V. Melnikoff
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public Licensse as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __DIALOGS_H__
#define __DIALOGS_H__

#include <lmcons.h>

LRESULT CALLBACK AboutDlg(HWND hDlg_, UINT uMsg_, WPARAM wParam_, LPARAM lParam_);
LRESULT CALLBACK LicenseDlg(HWND hDlg_, UINT uMsg_, WPARAM wParam_, LPARAM lParam_);
LRESULT CALLBACK SetPasswdDlg(HWND hDlg_, UINT uMsg_, WPARAM wParam_, LPARAM lParam_);

typedef struct _BKPSYSTEMINFO
{
	DWORD	dwRAMInst;
	DWORD	dwRAMAvl;
	DWORD	dwRAMLoad;

	DWORD	dwIEMajor;
	DWORD	dwIEMinor;
	DWORD	dwIEBuild;

	TCHAR	szUserName[UNLEN + 1];
	TCHAR	szCompName[MAX_COMPUTERNAME_LENGTH + 1];
} BKPSYSTEMINFO, *LPBKPSYSTEMINFO;

#endif // __DIALOGS_H__


