/*  BotikKey Pro - Botik Key Client for Windows 9x/ME/NT/2000/XP/2003
 *  Copyright (C) 2004 Alexander V. Melnikoff
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public Licensse as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

// md5.cpp : Defines the entry point for the DLL application.
//

#include "stdafx.h"
#include "md5.h"
#include "md5_checksum.h"

BOOL APIENTRY DllMain( HANDLE hModule_, 
                       DWORD  dwReason_, 
                       LPVOID lpReserved_
					 )
{
	switch (dwReason_)
	{
	case DLL_PROCESS_ATTACH:
	case DLL_THREAD_ATTACH:
	case DLL_THREAD_DETACH:
	case DLL_PROCESS_DETACH:
		break;
	};

    return TRUE;
};

MD5_API int md5_init(void)
{
	return(1);
};

MD5_API LPTSTR md5_md5(LPBYTE pBuf_, ULONG nLen_, LPSTR szMD5_)
{
	// Calculate and return the checksum
	CMD5Checksum MD5;
	return MD5.MakeMD5(pBuf_, nLen_, szMD5_);
};

MD5_API int md5_fin(void)
{
	return(1);
};
